const express = require("express");
const { loginController, registerController, refreshController, validateTokenController } = require("../controllers/authController");
const { requireAuth } = require("../middleware/authMiddleware");

const router = express.Router();

router.post("/login", loginController);
router.post("/register", registerController);
router.post("/refresh", refreshController);
router.get("/validate", requireAuth, validateTokenController);

module.exports = router;
